package simulator;

import utils.*;
import java.util.*;
import java.awt.*;

public class OutputColorModel implements NodeColorModel {
  public Color getLinkColor(Object a,Object b) {
    return Color.darkGray;
  }
  public NodeImage getNodeImage(Object o) {
    NodeImage ni = new NodeImage();
    Processor p = (Processor)o;
    if(p.suspended()) {
      ni.core = Color.darkGray;
    } else {
      ni.core = p.getColor();
    }
    return ni;
  }

}
